package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.vo.HelpPageVo;
import com.caimei365.user.model.vo.PaginationVo;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/22
 */
public interface UserCenterService {
    /**
     * 查看帮助页信息（注册协议）
     * @param helpPageId 帮助页Id
     */
    ResponseJson<HelpPageVo> getUserProtocol(Integer helpPageId);
    /**
     * 保存用户头像
     * @param userId 用户id
     * @param image  头像图片
     */
    ResponseJson<Void> saveUserAvatar(Integer userId, String image);
    /**
     * 我的站内消息
     * @param userId 用户Id
     */
    ResponseJson<PaginationVo<Map<String, Object>>> getMessageList(Integer userId, int pageNum, int pageSize);
    /**
     * 站内消息-标为已读
     * @param messageIds 站内消息Id集合
     */
    ResponseJson<Void> markMessageAsRead(String messageIds);
    /**
     * 站内消息-删除
     * @param messageIds 站内消息Id集合
     */
    ResponseJson<Void> deleteMessages(String messageIds);
    /**
     * 我的账户余额明细
     * @param userId  用户Id
     * @param type    收支类型：1收入，2支出
     * @param year    年
     * @param month   月
     */
    ResponseJson<Map<String, Object>> getBalanceRecord(Integer userId, String type, Integer year, Integer month, int pageNum, int pageSize);
}
